I am doing a test to join a curve and polyline in python. I would also like to know how I can get those 2 components into a list for a dictionary.
First the error …
the simple code;
import rhinoscriptsyntax as rs
curvePoints1 = (-5.09372,0,0), (-5.574682,0,0.59102), (-6.21176,0,1.51327), (-6.70684,0,2.70848), (-6.93052,0,3.96635), (-7.00,0,5.08339), (-7.00,0,5.86)
curve1 = rs.AddCurve(curvePoints1)
linePoints1 = (-7.00,0,5.86), (-6.00,0,5.86), (-6.00,0,4.02), (-3.84,0,4.02), (-3.84,0,3.03), (-4.234,0,3.03), (-4.234,0,0), (-5.09372,0,0)
curve2 = rs.AddPolyline(linePoints1)
rs.JoinCurves(curve1, curve2)
Here is what I eventually want, I will revolve these curve. The first 5 are straight polylines and work fine.
«Randy